[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| FFTWImaginaryAccessor Class Reference |
--- | --- | ---

`#include "vigra/fftw3.hxx"`

## Public Types
typedef fftw_real | value_type
| The accessor's value type.
typedef fftw_real | value_type
| The accessor's value type.
## Public Methods
template<class ITERATOR> value_type | operator() (ITERATOR const &i) const
| Read imaginary part at iterator position.
template<class ITERATOR, class DIFFERENCE> value_type | operator() (ITERATOR const &i, DIFFERENCE d) const
| Read imaginary part at offset from iterator position.
template<class ITERATOR> void | set (value_type const &v, ITERATOR const &i) const
| Write imaginary part at iterator position.
template<class ITERATOR, class DIFFERENCE> void | set (value_type const &v, ITERATOR const &i, DIFFERENCE d) const
| Write imaginary part at offset from iterator position.
template<class ITERATOR> value_type | operator() (ITERATOR const &i) const
| Read imaginary part at iterator position.
template<class ITERATOR, class DIFFERENCE> value_type | operator() (ITERATOR const &i, DIFFERENCE d) const
| Read imaginary part at offset from iterator position.
template<class ITERATOR> void | set (value_type const &v, ITERATOR const &i) const
| Write imaginary part at iterator position.
template<class ITERATOR, class DIFFERENCE> void | set (value_type const &v, ITERATOR const &i, DIFFERENCE d) const
| Write imaginary part at offset from iterator position.

## Detailed Description

Encapsulate access to the the imaginary part of a complex number.

#include "vigra/fftw3.hxx" (for FFTW 3) or
#include "vigra/fftw.hxx" (for deprecated FFTW 2)
Namespace: vigra

The documentation for this class was generated from the following files:

- vigra/fftw.hxx
- vigra/fftw3.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)